//the intracellular potential, the morse potential in this case
float intra_potential(float r, __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
    return 0.0f;

if(r<=0) return 0;
float rm = 2.0f/r;
float m = 1.0f*((rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm)-(rm*rm*rm*rm*rm));
if(m*m<100) return 1.0f*m;
else return 10.0f;
}


//the intercellular potential, the repulsive force morse potential in this case
float inter_potential(float r, __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
    if(r<=0) return 0;
    if(r>5.5) return 0;
    float rm = 4.3f/r;
    float m = 1.0f*((rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm*rm)-(rm*rm*rm));
    if(m>3) return 3.0f;
    if(m>0) return 1.0f*m;
    else return 0.0f;
}

void external_potential( __constant float * params, int num_params, float x, float y, float z, float * x_F1, float * y_F1, float * z_F1)
{
return;
}
