// This is the kernel to run cell_growth
__kernel void cell_division( int *cell, int num_stem_cells, int *num_grown_elements, int *cell_division_true, unsigned int seed, int division_number )
{
//cell is the vector containing which cell each element belongs to


    unsigned int gId = get_global_id(0);
    unsigned int local_seed = seed + cell[gId];
    float rand;
    // the values of a and c are taken to agree with ANSI C
    unsigned int a =1103515245;
    unsigned int c = 12345;
    unsigned int my_max_rand = (1 << 14)-1;
    
    
    for(int i = 0; i < 5; i++)
    {
        local_seed = (a*local_seed)+c;
        local_seed = local_seed << 2;
        local_seed = local_seed >> 18;
    }
    
    rand = ((float)local_seed)/((float)my_max_rand);
    
    
    if((cell[gId] < 100) && (num_grown_elements[cell[gId]] > 7 || num_grown_elements[cell[gId]]*rand>3.5f))
    {
        
        cell_division_true[cell[gId]]=1;
        cell[gId]=cell[gId]+(division_number+1)*num_stem_cells;
        
    }
    
   
    
}
