__kernel void add_noise(float *ax, float *ay, float *az, float *bx, float *by, float *bz, unsigned int seed, float lower_bound, float upper_bound)
{
    unsigned int gId = get_global_id(0);
    seed = seed + gId;
    float rand;
    // the values of a and c are taken to agree with ANSI C
    unsigned int a =1103515245;
    unsigned int c = 12345;
    unsigned int my_max_rand = (1 << 14)-1;
    

    for(int i = 0; i < 5; i++)
    {
        seed = (a*seed)+c;
        seed = seed << 2;
        seed = seed >> 18;
    }

    rand = ((float)seed)/((float)my_max_rand);
    rand = (rand * (upper_bound - lower_bound))+lower_bound;

    bx[gId]=ax[gId]+rand;
    
    seed = (a *seed+c);
    seed = seed << 2;
    seed = seed >> 18;
    rand = ((float)seed)/((float)my_max_rand);
    rand = (rand * (upper_bound - lower_bound))+lower_bound;

    by[gId]=ay[gId]+rand;
    
    seed = (a *seed+c);
    seed = seed << 2;
    seed = seed >> 18;
    rand = ((float)seed)/((float)my_max_rand);
    rand = (rand * (upper_bound - lower_bound))+lower_bound;

    bz[gId]=az[gId]+rand;


    
}
